Page MenuHomePhabricator

Fix some odd looking arrays
ClosedPublic

Authored by joshuaspence on Apr 5 2015, 6:40 AM.
Tags
None
Referenced Files
F13306477: D12281.diff
Sun, Jun 9, 8:11 AM
F13271735: D12281.diff
Thu, May 30, 4:43 AM
F13258013: D12281.diff
May 26 2024, 6:10 AM
F13223312: D12281.id29484.diff
May 19 2024, 4:29 AM
F13210498: D12281.id.diff
May 17 2024, 4:55 AM
F13182427: D12281.diff
May 9 2024, 11:28 PM
Unknown Object (File)
May 6 2024, 2:42 AM
Unknown Object (File)
May 1 2024, 8:12 PM
Subscribers

Details

Reviewers
epriestley
Group Reviewers
Blessed Reviewers
Commits
Restricted Diffusion Commit
rPea376685ae9e: Fix some odd looking arrays
Summary

These arrays looks a little odd, most likely due to the autofix applied by ArcanistXHPASTLinter::LINT_ARRAY_SEPARATOR. See D12296 in which I attempt to improve the autocorrection from this linter rule.

Test Plan

N/A

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

joshuaspence retitled this revision from to Fix some odd looking arrays.
joshuaspence updated this object.
joshuaspence edited the test plan for this revision. (Show Details)
This revision is now accepted and ready to land.Apr 5 2015, 12:20 PM
joshuaspence edited the test plan for this revision. (Show Details)
joshuaspence edited edge metadata.
src/view/phui/PHUITimelineEventView.php
438–439

I'm actually not sure that this is meant to be an array element, it seems rather odd.

This revision was automatically updated to reflect the committed changes.
src/view/phui/PHUITimelineEventView.php
438–439

Oh, this is trying to be "tag with no body". The '' can just be omitted completely.

That is, instead of f(x, array(y), '') it's incorrectly written as f(x, array(y, '')). But f(x, array(y)) is equivalent.